Package opennlp.tools.ml

# Enum Class TrainerFactory.TrainerType

java.lang.Object
java.lang.Enum<TrainerFactory.TrainerType>
opennlp.tools.ml.TrainerFactory.TrainerType

All Implemented Interfaces:
  `Serializable`, `Comparable<TrainerFactory.TrainerType>`, `Constable`

Enclosing class:
  TrainerFactory

public static enum TrainerFactory.TrainerType extends Enum<TrainerFactory.TrainerType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVENT_MODEL_SEQUENCE_TRAINER`
  `EVENT_MODEL_TRAINER`
  `SEQUENCE_TRAINER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TrainerFactory.TrainerType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrainerFactory.TrainerType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EVENT_MODEL_TRAINER

    public static final TrainerFactory.TrainerType EVENT_MODEL_TRAINER

  - ### EVENT_MODEL_SEQUENCE_TRAINER

    public static final TrainerFactory.TrainerType EVENT_MODEL_SEQUENCE_TRAINER

  - ### SEQUENCE_TRAINER

    public static final TrainerFactory.TrainerType SEQUENCE_TRAINER

- ## Method Details

  - ### values

    public static TrainerFactory.TrainerType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TrainerFactory.TrainerType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null